Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network248.30.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
248.30.0.0
Broadcast address
248.30.63.255
First usable
248.30.0.1
Last usable
248.30.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F81E0000 · Integer 4162715648 to 4162732031
Reverse DNS zones
0.30.248.in-addr.arpa
1.30.248.in-addr.arpa
2.30.248.in-addr.arpa
3.30.248.in-addr.arpa
4.30.248.in-addr.arpa
5.30.248.in-addr.arpa
6.30.248.in-addr.arpa
7.30.248.in-addr.arpa
8.30.248.in-addr.arpa
9.30.248.in-addr.arpa
10.30.248.in-addr.arpa
11.30.248.in-addr.arpa
12.30.248.in-addr.arpa
13.30.248.in-addr.arpa
14.30.248.in-addr.arpa
15.30.248.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111000.00011110.00000000.00000000248.30.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11111000.00011110.00000000.00000000248.30.0.0
Broadcast11111000.00011110.00111111.11111111248.30.63.255
Split into smaller subnets/26

248.30.0.0/18 makes 256 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1248.30.0.0/26248.30.0.1 to 248.30.0.62248.30.0.6362
2248.30.0.64/26248.30.0.65 to 248.30.0.126248.30.0.12762
3248.30.0.128/26248.30.0.129 to 248.30.0.190248.30.0.19162
4248.30.0.192/26248.30.0.193 to 248.30.0.254248.30.0.25562
5248.30.1.0/26248.30.1.1 to 248.30.1.62248.30.1.6362
6248.30.1.64/26248.30.1.65 to 248.30.1.126248.30.1.12762
7248.30.1.128/26248.30.1.129 to 248.30.1.190248.30.1.19162
8248.30.1.192/26248.30.1.193 to 248.30.1.254248.30.1.25562
9248.30.2.0/26248.30.2.1 to 248.30.2.62248.30.2.6362
10248.30.2.64/26248.30.2.65 to 248.30.2.126248.30.2.12762
11248.30.2.128/26248.30.2.129 to 248.30.2.190248.30.2.19162
12248.30.2.192/26248.30.2.193 to 248.30.2.254248.30.2.25562
13248.30.3.0/26248.30.3.1 to 248.30.3.62248.30.3.6362
14248.30.3.64/26248.30.3.65 to 248.30.3.126248.30.3.12762
15248.30.3.128/26248.30.3.129 to 248.30.3.190248.30.3.19162
16248.30.3.192/26248.30.3.193 to 248.30.3.254248.30.3.25562
17248.30.4.0/26248.30.4.1 to 248.30.4.62248.30.4.6362
18248.30.4.64/26248.30.4.65 to 248.30.4.126248.30.4.12762
19248.30.4.128/26248.30.4.129 to 248.30.4.190248.30.4.19162
20248.30.4.192/26248.30.4.193 to 248.30.4.254248.30.4.25562
21248.30.5.0/26248.30.5.1 to 248.30.5.62248.30.5.6362
22248.30.5.64/26248.30.5.65 to 248.30.5.126248.30.5.12762
23248.30.5.128/26248.30.5.129 to 248.30.5.190248.30.5.19162
24248.30.5.192/26248.30.5.193 to 248.30.5.254248.30.5.25562
25248.30.6.0/26248.30.6.1 to 248.30.6.62248.30.6.6362
26248.30.6.64/26248.30.6.65 to 248.30.6.126248.30.6.12762
27248.30.6.128/26248.30.6.129 to 248.30.6.190248.30.6.19162
28248.30.6.192/26248.30.6.193 to 248.30.6.254248.30.6.25562
29248.30.7.0/26248.30.7.1 to 248.30.7.62248.30.7.6362
30248.30.7.64/26248.30.7.65 to 248.30.7.126248.30.7.12762
31248.30.7.128/26248.30.7.129 to 248.30.7.190248.30.7.19162
32248.30.7.192/26248.30.7.193 to 248.30.7.254248.30.7.25562
33248.30.8.0/26248.30.8.1 to 248.30.8.62248.30.8.6362
34248.30.8.64/26248.30.8.65 to 248.30.8.126248.30.8.12762
35248.30.8.128/26248.30.8.129 to 248.30.8.190248.30.8.19162
36248.30.8.192/26248.30.8.193 to 248.30.8.254248.30.8.25562
37248.30.9.0/26248.30.9.1 to 248.30.9.62248.30.9.6362
38248.30.9.64/26248.30.9.65 to 248.30.9.126248.30.9.12762
39248.30.9.128/26248.30.9.129 to 248.30.9.190248.30.9.19162
40248.30.9.192/26248.30.9.193 to 248.30.9.254248.30.9.25562
41248.30.10.0/26248.30.10.1 to 248.30.10.62248.30.10.6362
42248.30.10.64/26248.30.10.65 to 248.30.10.126248.30.10.12762
43248.30.10.128/26248.30.10.129 to 248.30.10.190248.30.10.19162
44248.30.10.192/26248.30.10.193 to 248.30.10.254248.30.10.25562
45248.30.11.0/26248.30.11.1 to 248.30.11.62248.30.11.6362
46248.30.11.64/26248.30.11.65 to 248.30.11.126248.30.11.12762
47248.30.11.128/26248.30.11.129 to 248.30.11.190248.30.11.19162
48248.30.11.192/26248.30.11.193 to 248.30.11.254248.30.11.25562
49248.30.12.0/26248.30.12.1 to 248.30.12.62248.30.12.6362
50248.30.12.64/26248.30.12.65 to 248.30.12.126248.30.12.12762
51248.30.12.128/26248.30.12.129 to 248.30.12.190248.30.12.19162
52248.30.12.192/26248.30.12.193 to 248.30.12.254248.30.12.25562
53248.30.13.0/26248.30.13.1 to 248.30.13.62248.30.13.6362
54248.30.13.64/26248.30.13.65 to 248.30.13.126248.30.13.12762
55248.30.13.128/26248.30.13.129 to 248.30.13.190248.30.13.19162
56248.30.13.192/26248.30.13.193 to 248.30.13.254248.30.13.25562
57248.30.14.0/26248.30.14.1 to 248.30.14.62248.30.14.6362
58248.30.14.64/26248.30.14.65 to 248.30.14.126248.30.14.12762
59248.30.14.128/26248.30.14.129 to 248.30.14.190248.30.14.19162
60248.30.14.192/26248.30.14.193 to 248.30.14.254248.30.14.25562
61248.30.15.0/26248.30.15.1 to 248.30.15.62248.30.15.6362
62248.30.15.64/26248.30.15.65 to 248.30.15.126248.30.15.12762
63248.30.15.128/26248.30.15.129 to 248.30.15.190248.30.15.19162
64248.30.15.192/26248.30.15.193 to 248.30.15.254248.30.15.25562
65248.30.16.0/26248.30.16.1 to 248.30.16.62248.30.16.6362
66248.30.16.64/26248.30.16.65 to 248.30.16.126248.30.16.12762
67248.30.16.128/26248.30.16.129 to 248.30.16.190248.30.16.19162
68248.30.16.192/26248.30.16.193 to 248.30.16.254248.30.16.25562
69248.30.17.0/26248.30.17.1 to 248.30.17.62248.30.17.6362
70248.30.17.64/26248.30.17.65 to 248.30.17.126248.30.17.12762
71248.30.17.128/26248.30.17.129 to 248.30.17.190248.30.17.19162
72248.30.17.192/26248.30.17.193 to 248.30.17.254248.30.17.25562
73248.30.18.0/26248.30.18.1 to 248.30.18.62248.30.18.6362
74248.30.18.64/26248.30.18.65 to 248.30.18.126248.30.18.12762
75248.30.18.128/26248.30.18.129 to 248.30.18.190248.30.18.19162
76248.30.18.192/26248.30.18.193 to 248.30.18.254248.30.18.25562
77248.30.19.0/26248.30.19.1 to 248.30.19.62248.30.19.6362
78248.30.19.64/26248.30.19.65 to 248.30.19.126248.30.19.12762
79248.30.19.128/26248.30.19.129 to 248.30.19.190248.30.19.19162
80248.30.19.192/26248.30.19.193 to 248.30.19.254248.30.19.25562
81248.30.20.0/26248.30.20.1 to 248.30.20.62248.30.20.6362
82248.30.20.64/26248.30.20.65 to 248.30.20.126248.30.20.12762
83248.30.20.128/26248.30.20.129 to 248.30.20.190248.30.20.19162
84248.30.20.192/26248.30.20.193 to 248.30.20.254248.30.20.25562
85248.30.21.0/26248.30.21.1 to 248.30.21.62248.30.21.6362
86248.30.21.64/26248.30.21.65 to 248.30.21.126248.30.21.12762
87248.30.21.128/26248.30.21.129 to 248.30.21.190248.30.21.19162
88248.30.21.192/26248.30.21.193 to 248.30.21.254248.30.21.25562
89248.30.22.0/26248.30.22.1 to 248.30.22.62248.30.22.6362
90248.30.22.64/26248.30.22.65 to 248.30.22.126248.30.22.12762
91248.30.22.128/26248.30.22.129 to 248.30.22.190248.30.22.19162
92248.30.22.192/26248.30.22.193 to 248.30.22.254248.30.22.25562
93248.30.23.0/26248.30.23.1 to 248.30.23.62248.30.23.6362
94248.30.23.64/26248.30.23.65 to 248.30.23.126248.30.23.12762
95248.30.23.128/26248.30.23.129 to 248.30.23.190248.30.23.19162
96248.30.23.192/26248.30.23.193 to 248.30.23.254248.30.23.25562
97248.30.24.0/26248.30.24.1 to 248.30.24.62248.30.24.6362
98248.30.24.64/26248.30.24.65 to 248.30.24.126248.30.24.12762
99248.30.24.128/26248.30.24.129 to 248.30.24.190248.30.24.19162
100248.30.24.192/26248.30.24.193 to 248.30.24.254248.30.24.25562
101248.30.25.0/26248.30.25.1 to 248.30.25.62248.30.25.6362
102248.30.25.64/26248.30.25.65 to 248.30.25.126248.30.25.12762
103248.30.25.128/26248.30.25.129 to 248.30.25.190248.30.25.19162
104248.30.25.192/26248.30.25.193 to 248.30.25.254248.30.25.25562
105248.30.26.0/26248.30.26.1 to 248.30.26.62248.30.26.6362
106248.30.26.64/26248.30.26.65 to 248.30.26.126248.30.26.12762
107248.30.26.128/26248.30.26.129 to 248.30.26.190248.30.26.19162
108248.30.26.192/26248.30.26.193 to 248.30.26.254248.30.26.25562
109248.30.27.0/26248.30.27.1 to 248.30.27.62248.30.27.6362
110248.30.27.64/26248.30.27.65 to 248.30.27.126248.30.27.12762
111248.30.27.128/26248.30.27.129 to 248.30.27.190248.30.27.19162
112248.30.27.192/26248.30.27.193 to 248.30.27.254248.30.27.25562
113248.30.28.0/26248.30.28.1 to 248.30.28.62248.30.28.6362
114248.30.28.64/26248.30.28.65 to 248.30.28.126248.30.28.12762
115248.30.28.128/26248.30.28.129 to 248.30.28.190248.30.28.19162
116248.30.28.192/26248.30.28.193 to 248.30.28.254248.30.28.25562
117248.30.29.0/26248.30.29.1 to 248.30.29.62248.30.29.6362
118248.30.29.64/26248.30.29.65 to 248.30.29.126248.30.29.12762
119248.30.29.128/26248.30.29.129 to 248.30.29.190248.30.29.19162
120248.30.29.192/26248.30.29.193 to 248.30.29.254248.30.29.25562
121248.30.30.0/26248.30.30.1 to 248.30.30.62248.30.30.6362
122248.30.30.64/26248.30.30.65 to 248.30.30.126248.30.30.12762
123248.30.30.128/26248.30.30.129 to 248.30.30.190248.30.30.19162
124248.30.30.192/26248.30.30.193 to 248.30.30.254248.30.30.25562
125248.30.31.0/26248.30.31.1 to 248.30.31.62248.30.31.6362
126248.30.31.64/26248.30.31.65 to 248.30.31.126248.30.31.12762
127248.30.31.128/26248.30.31.129 to 248.30.31.190248.30.31.19162
128248.30.31.192/26248.30.31.193 to 248.30.31.254248.30.31.25562
129248.30.32.0/26248.30.32.1 to 248.30.32.62248.30.32.6362
130248.30.32.64/26248.30.32.65 to 248.30.32.126248.30.32.12762
131248.30.32.128/26248.30.32.129 to 248.30.32.190248.30.32.19162
132248.30.32.192/26248.30.32.193 to 248.30.32.254248.30.32.25562
133248.30.33.0/26248.30.33.1 to 248.30.33.62248.30.33.6362
134248.30.33.64/26248.30.33.65 to 248.30.33.126248.30.33.12762
135248.30.33.128/26248.30.33.129 to 248.30.33.190248.30.33.19162
136248.30.33.192/26248.30.33.193 to 248.30.33.254248.30.33.25562
137248.30.34.0/26248.30.34.1 to 248.30.34.62248.30.34.6362
138248.30.34.64/26248.30.34.65 to 248.30.34.126248.30.34.12762
139248.30.34.128/26248.30.34.129 to 248.30.34.190248.30.34.19162
140248.30.34.192/26248.30.34.193 to 248.30.34.254248.30.34.25562
141248.30.35.0/26248.30.35.1 to 248.30.35.62248.30.35.6362
142248.30.35.64/26248.30.35.65 to 248.30.35.126248.30.35.12762
143248.30.35.128/26248.30.35.129 to 248.30.35.190248.30.35.19162
144248.30.35.192/26248.30.35.193 to 248.30.35.254248.30.35.25562
145248.30.36.0/26248.30.36.1 to 248.30.36.62248.30.36.6362
146248.30.36.64/26248.30.36.65 to 248.30.36.126248.30.36.12762
147248.30.36.128/26248.30.36.129 to 248.30.36.190248.30.36.19162
148248.30.36.192/26248.30.36.193 to 248.30.36.254248.30.36.25562
149248.30.37.0/26248.30.37.1 to 248.30.37.62248.30.37.6362
150248.30.37.64/26248.30.37.65 to 248.30.37.126248.30.37.12762
151248.30.37.128/26248.30.37.129 to 248.30.37.190248.30.37.19162
152248.30.37.192/26248.30.37.193 to 248.30.37.254248.30.37.25562
153248.30.38.0/26248.30.38.1 to 248.30.38.62248.30.38.6362
154248.30.38.64/26248.30.38.65 to 248.30.38.126248.30.38.12762
155248.30.38.128/26248.30.38.129 to 248.30.38.190248.30.38.19162
156248.30.38.192/26248.30.38.193 to 248.30.38.254248.30.38.25562
157248.30.39.0/26248.30.39.1 to 248.30.39.62248.30.39.6362
158248.30.39.64/26248.30.39.65 to 248.30.39.126248.30.39.12762
159248.30.39.128/26248.30.39.129 to 248.30.39.190248.30.39.19162
160248.30.39.192/26248.30.39.193 to 248.30.39.254248.30.39.25562
161248.30.40.0/26248.30.40.1 to 248.30.40.62248.30.40.6362
162248.30.40.64/26248.30.40.65 to 248.30.40.126248.30.40.12762
163248.30.40.128/26248.30.40.129 to 248.30.40.190248.30.40.19162
164248.30.40.192/26248.30.40.193 to 248.30.40.254248.30.40.25562
165248.30.41.0/26248.30.41.1 to 248.30.41.62248.30.41.6362
166248.30.41.64/26248.30.41.65 to 248.30.41.126248.30.41.12762
167248.30.41.128/26248.30.41.129 to 248.30.41.190248.30.41.19162
168248.30.41.192/26248.30.41.193 to 248.30.41.254248.30.41.25562
169248.30.42.0/26248.30.42.1 to 248.30.42.62248.30.42.6362
170248.30.42.64/26248.30.42.65 to 248.30.42.126248.30.42.12762
171248.30.42.128/26248.30.42.129 to 248.30.42.190248.30.42.19162
172248.30.42.192/26248.30.42.193 to 248.30.42.254248.30.42.25562
173248.30.43.0/26248.30.43.1 to 248.30.43.62248.30.43.6362
174248.30.43.64/26248.30.43.65 to 248.30.43.126248.30.43.12762
175248.30.43.128/26248.30.43.129 to 248.30.43.190248.30.43.19162
176248.30.43.192/26248.30.43.193 to 248.30.43.254248.30.43.25562
177248.30.44.0/26248.30.44.1 to 248.30.44.62248.30.44.6362
178248.30.44.64/26248.30.44.65 to 248.30.44.126248.30.44.12762
179248.30.44.128/26248.30.44.129 to 248.30.44.190248.30.44.19162
180248.30.44.192/26248.30.44.193 to 248.30.44.254248.30.44.25562
181248.30.45.0/26248.30.45.1 to 248.30.45.62248.30.45.6362
182248.30.45.64/26248.30.45.65 to 248.30.45.126248.30.45.12762
183248.30.45.128/26248.30.45.129 to 248.30.45.190248.30.45.19162
184248.30.45.192/26248.30.45.193 to 248.30.45.254248.30.45.25562
185248.30.46.0/26248.30.46.1 to 248.30.46.62248.30.46.6362
186248.30.46.64/26248.30.46.65 to 248.30.46.126248.30.46.12762
187248.30.46.128/26248.30.46.129 to 248.30.46.190248.30.46.19162
188248.30.46.192/26248.30.46.193 to 248.30.46.254248.30.46.25562
189248.30.47.0/26248.30.47.1 to 248.30.47.62248.30.47.6362
190248.30.47.64/26248.30.47.65 to 248.30.47.126248.30.47.12762
191248.30.47.128/26248.30.47.129 to 248.30.47.190248.30.47.19162
192248.30.47.192/26248.30.47.193 to 248.30.47.254248.30.47.25562
193248.30.48.0/26248.30.48.1 to 248.30.48.62248.30.48.6362
194248.30.48.64/26248.30.48.65 to 248.30.48.126248.30.48.12762
195248.30.48.128/26248.30.48.129 to 248.30.48.190248.30.48.19162
196248.30.48.192/26248.30.48.193 to 248.30.48.254248.30.48.25562
197248.30.49.0/26248.30.49.1 to 248.30.49.62248.30.49.6362
198248.30.49.64/26248.30.49.65 to 248.30.49.126248.30.49.12762
199248.30.49.128/26248.30.49.129 to 248.30.49.190248.30.49.19162
200248.30.49.192/26248.30.49.193 to 248.30.49.254248.30.49.25562
201248.30.50.0/26248.30.50.1 to 248.30.50.62248.30.50.6362
202248.30.50.64/26248.30.50.65 to 248.30.50.126248.30.50.12762
203248.30.50.128/26248.30.50.129 to 248.30.50.190248.30.50.19162
204248.30.50.192/26248.30.50.193 to 248.30.50.254248.30.50.25562
205248.30.51.0/26248.30.51.1 to 248.30.51.62248.30.51.6362
206248.30.51.64/26248.30.51.65 to 248.30.51.126248.30.51.12762
207248.30.51.128/26248.30.51.129 to 248.30.51.190248.30.51.19162
208248.30.51.192/26248.30.51.193 to 248.30.51.254248.30.51.25562
209248.30.52.0/26248.30.52.1 to 248.30.52.62248.30.52.6362
210248.30.52.64/26248.30.52.65 to 248.30.52.126248.30.52.12762
211248.30.52.128/26248.30.52.129 to 248.30.52.190248.30.52.19162
212248.30.52.192/26248.30.52.193 to 248.30.52.254248.30.52.25562
213248.30.53.0/26248.30.53.1 to 248.30.53.62248.30.53.6362
214248.30.53.64/26248.30.53.65 to 248.30.53.126248.30.53.12762
215248.30.53.128/26248.30.53.129 to 248.30.53.190248.30.53.19162
216248.30.53.192/26248.30.53.193 to 248.30.53.254248.30.53.25562
217248.30.54.0/26248.30.54.1 to 248.30.54.62248.30.54.6362
218248.30.54.64/26248.30.54.65 to 248.30.54.126248.30.54.12762
219248.30.54.128/26248.30.54.129 to 248.30.54.190248.30.54.19162
220248.30.54.192/26248.30.54.193 to 248.30.54.254248.30.54.25562
221248.30.55.0/26248.30.55.1 to 248.30.55.62248.30.55.6362
222248.30.55.64/26248.30.55.65 to 248.30.55.126248.30.55.12762
223248.30.55.128/26248.30.55.129 to 248.30.55.190248.30.55.19162
224248.30.55.192/26248.30.55.193 to 248.30.55.254248.30.55.25562
225248.30.56.0/26248.30.56.1 to 248.30.56.62248.30.56.6362
226248.30.56.64/26248.30.56.65 to 248.30.56.126248.30.56.12762
227248.30.56.128/26248.30.56.129 to 248.30.56.190248.30.56.19162
228248.30.56.192/26248.30.56.193 to 248.30.56.254248.30.56.25562
229248.30.57.0/26248.30.57.1 to 248.30.57.62248.30.57.6362
230248.30.57.64/26248.30.57.65 to 248.30.57.126248.30.57.12762
231248.30.57.128/26248.30.57.129 to 248.30.57.190248.30.57.19162
232248.30.57.192/26248.30.57.193 to 248.30.57.254248.30.57.25562
233248.30.58.0/26248.30.58.1 to 248.30.58.62248.30.58.6362
234248.30.58.64/26248.30.58.65 to 248.30.58.126248.30.58.12762
235248.30.58.128/26248.30.58.129 to 248.30.58.190248.30.58.19162
236248.30.58.192/26248.30.58.193 to 248.30.58.254248.30.58.25562
237248.30.59.0/26248.30.59.1 to 248.30.59.62248.30.59.6362
238248.30.59.64/26248.30.59.65 to 248.30.59.126248.30.59.12762
239248.30.59.128/26248.30.59.129 to 248.30.59.190248.30.59.19162
240248.30.59.192/26248.30.59.193 to 248.30.59.254248.30.59.25562
241248.30.60.0/26248.30.60.1 to 248.30.60.62248.30.60.6362
242248.30.60.64/26248.30.60.65 to 248.30.60.126248.30.60.12762
243248.30.60.128/26248.30.60.129 to 248.30.60.190248.30.60.19162
244248.30.60.192/26248.30.60.193 to 248.30.60.254248.30.60.25562
245248.30.61.0/26248.30.61.1 to 248.30.61.62248.30.61.6362
246248.30.61.64/26248.30.61.65 to 248.30.61.126248.30.61.12762
247248.30.61.128/26248.30.61.129 to 248.30.61.190248.30.61.19162
248248.30.61.192/26248.30.61.193 to 248.30.61.254248.30.61.25562
249248.30.62.0/26248.30.62.1 to 248.30.62.62248.30.62.6362
250248.30.62.64/26248.30.62.65 to 248.30.62.126248.30.62.12762
251248.30.62.128/26248.30.62.129 to 248.30.62.190248.30.62.19162
252248.30.62.192/26248.30.62.193 to 248.30.62.254248.30.62.25562
253248.30.63.0/26248.30.63.1 to 248.30.63.62248.30.63.6362
254248.30.63.64/26248.30.63.65 to 248.30.63.126248.30.63.12762
255248.30.63.128/26248.30.63.129 to 248.30.63.190248.30.63.19162
256248.30.63.192/26248.30.63.193 to 248.30.63.254248.30.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses